#include "JsonLightControl.cpp"
#include <BLEUtils.h>

class BluetoothLEDCallback : public BLECharacteristicCallbacks {
	JsonLightControl *_lightControl;
	std::string _json;

	void onWrite(BLECharacteristic *characteristic) {
		_json = characteristic->getValue();
		_lightControl->action(_json);
		characteristic->setValue(_json);
		characteristic->indicate();
	}

	public:

	BluetoothLEDCallback(JsonLightControl *lightControl){
		_lightControl = lightControl;
	}
};
